Subject: Re: [dnsext] I-D Action: draft-ietf-dnsext-rfc6195bis-00.txt

From: Paul Hoffman <[email-masked]>
Date: Sun, 1 Apr 2012 18:15:54 -0700

On Mar 27, 2012, at 5:12 PM, Samuel Weiler wrote:

> As I said at the microphone in Paris, I would strongly prefer to see typecode templates posted publicly in all cases.  I see no need to shorten the review period beyond the current three weeks.
> 
> Furthermore, as I pointed out on this list on 7 October, IANA seems to not be maintaining the archive of templates as requested in both RFC5395 and RFC6195.  If we're are going to keep using this template system to allocate typecodes, we need that archive.  Absent a commitment from IANA to maintain that archive, preferably backed up with evidence that they have populated that archive with the old templates, I would prefer to see us back out the RFC5395 changes to the typecode allocation process and revert to the RFC2929 rules.

This is an issue for the IAB, who is in charge of the IETF's relationship with IANA. If IANA is not meeting a requirement of an RFC, they should be told to do so a bit more forcefully. We should not have to revert to a less descriptive registry.

--Paul Hoffman

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 2 Apr 2012 23:10:38 -0400

I'll change the draft the way the working group wants and I don't plan
to post much here. But, to repeat some of what I said at the Paris
meeting for the benefit of those not there: I don't think there is any
reason everyone needs see every application or any reason for a three
week minimum for the Expert to respond. While posting the application
by the applicant or expert should be encouraged, as the current draft
does, having a relatively quick response is more important IF people
want to eliminate the widespread impression that RRTYPE allocation is
a lengthy, difficult process. If the timeline and process remain
fairly close the current timeline and process, people should expect
that prospective applicants will continue to use TXT and/or grab a
random RRTYPE number outside the process and use it.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Tue, Mar 27, 2012 at 8:12 PM, Samuel Weiler <[email-masked]> wrote:
> As I said at the microphone in Paris, I would strongly prefer to see
> typecode templates posted publicly in all cases.  I see no need to shorten
> the review period beyond the current three weeks.
>
> Furthermore, as I pointed out on this list on 7 October, IANA seems to not
> be maintaining the archive of templates as requested in both RFC5395 and
> RFC6195.  If we're are going to keep using this template system to allocate
> typecodes, we need that archive.  Absent a commitment from IANA to maintain
> that archive, preferably backed up with evidence that they have populated
> that archive with the old templates, I would prefer to see us back out the
> RFC5395 changes to the typecode allocation process and revert to the RFC2929
> rules.
>
> -- Sam
>